#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int a[200005];
int b[200005];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n,q;
    cin>>n>>q;
    for(int i=1;i<=n;i++){
        cin>>a[i];
    }
    for(int i=1;i<=q;i++){
        cin>>b[i];
    }
    int x=n;
    for(int i=1;i<=q;i++){
        n=x;
        sort(a+1,a+n+1);
        int cnt=0;
        while(a[n/2+1]!=b[i]){
            a[n+1]=b[i];
            ++n;
            sort(a+1,a+n+1);
            ++cnt;
        }
        cout<<cnt<<endl;
    }
}